grk::dwt97 Class Reference

`#include <WaveletFwd.h>`

## Public Member Functions

void | encode_and_deinterleave_v (float *arrayIn, float *tmpIn, uint32_t height, bool even, uint32_t stride_width, uint32_t cols)
void | encode_and_deinterleave_h_one_row (float *rowIn, float *tmpIn, uint32_t width, bool even)
| Process one line for the horizontal pass of the 9x7 forward transform.

## Private Member Functions

void | grk_v8dwt_encode_step1 (float *fw, uint32_t end, const float cst)
void | grk_v8dwt_encode_step2 (float *fl, float *fw, uint32_t end, uint32_t m, float cst)
void | encode_step2 (float *fl, float *fw, uint32_t end, uint32_t m, float c)
void | encode_step1_combined (float *fw, uint32_t iters_c1, uint32_t iters_c2, const float c1, const float c2)
void | encode_1_real (float *w, int32_t dn, int32_t sn, int32_t parity)

## Member Function Documentation

## encode_1_real()

void grk::dwt97::encode_1_real | ( | float * | w,
|  | int32_t | dn,
|  | int32_t | sn,
|  | int32_t | parity
| ) |  |

private

References grk::alpha, grk::beta, grk::delta, encode_step1_combined(), encode_step2(), grk::gamma, grk::grk_invK, grk::grk_K, and grk::grk_read().

Referenced by encode_and_deinterleave_h_one_row().

## encode_and_deinterleave_h_one_row()

void grk::dwt97::encode_and_deinterleave_h_one_row | ( | float * | rowIn,
|  | float * | tmpIn,
|  | uint32_t | width,
|  | bool | even
| ) |  |

Process one line for the horizontal pass of the 9x7 forward transform.

References grk::deinterleave_h(), encode_1_real(), grk::grk_read(), and GRK_RESTRICT.

## encode_and_deinterleave_v()

void grk::dwt97::encode_and_deinterleave_v | ( | float * | arrayIn,
|  | float * | tmpIn,
|  | uint32_t | height,
|  | bool | even,
|  | uint32_t | stride_width,
|  | uint32_t | cols
| ) |  |

References grk::alpha, grk::beta, grk::deinterleave_v_cols(), grk::delta, grk::fetch_cols_vertical_pass(), grk::gamma, grk::grk_invK, grk::grk_K, grk::grk_read(), GRK_RESTRICT, grk_v8dwt_encode_step1(), grk_v8dwt_encode_step2(), and grk::NB_ELTS_V8.

## encode_step1_combined()

void grk::dwt97::encode_step1_combined | ( | float * | fw,
|  | uint32_t | iters_c1,
|  | uint32_t | iters_c2,
|  | const float | c1,
|  | const float | c2
| ) |  |

private

References grk::grk_read().

Referenced by encode_1_real().

## encode_step2()

void grk::dwt97::encode_step2 | ( | float * | fl,
|  | float * | fw,
|  | uint32_t | end,
|  | uint32_t | m,
|  | float | c
| ) |  |

private

References grk::grk_read().

Referenced by encode_1_real().

## grk_v8dwt_encode_step1()

void grk::dwt97::grk_v8dwt_encode_step1 | ( | float * | fw,
|  | uint32_t | end,
|  | const float | cst
| ) |  |

private

References grk::grk_read(), and grk::NB_ELTS_V8.

Referenced by encode_and_deinterleave_v().

## grk_v8dwt_encode_step2()

void grk::dwt97::grk_v8dwt_encode_step2 | ( | float * | fl,
|  | float * | fw,
|  | uint32_t | end,
|  | uint32_t | m,
|  | float | cst
| ) |  |

private

References grk::grk_read(), and grk::NB_ELTS_V8.

Referenced by encode_and_deinterleave_v().

The documentation for this class was generated from the following files:

- WaveletFwd.h
- WaveletFwd.cpp